<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Главная страница
Route::view('/', 'index');

use App\Http\Controllers;
use App\Http\Resources;
use App\Models;

// Публикации
Route::get('/articles', [Controllers\ArticleController::class, 'published']);
Route::get('/articles/edit', [Controllers\ArticleController::class, 'index']);
Route::get('/article/add', [Controllers\ArticleController::class, 'add']);
Route::get('/article/{article}', [Controllers\ArticleController::class, 'view']);
Route::get('/article/{article}/delete', [Controllers\ArticleController::class, 'drop']);
Route::get('/article/{article}/edit', [Controllers\ArticleController::class, 'edit']);
Route::post('/article/{article}/edit', [Controllers\ArticleController::class, 'store']);
Route::post('/article/{article}/comment', [Controllers\ArticleController::class, 'comment']);
Route::post('/article/add', [Controllers\ArticleController::class, 'store']);

// Модерация комментариев
Route::get('/comments/moderation', [Controllers\CommentController::class, 'moderation']);
Route::get('/comment/{comment}/allow', [Controllers\CommentController::class, 'allow']);
Route::get('/comment/{comment}/reject', [Controllers\CommentController::class, 'reject']);
